# Generated from lifen_fhir-0.7.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name lifen_fhir

Name: rubygem-%{gem_name}
Version: 0.7.1
Release: 1%{?dist}
Summary: Lifen FHIR API Ruby client
License: MIT
URL: https://github.com/honestica/lifen-fhir
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(vcr) >= 3.0
# BuildRequires: rubygem(vcr) < 4
# BuildRequires: rubygem(webmock) >= 1.24
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(rb-readline)
BuildArch: noarch

%description
Lifen FHIR API Ruby client.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%{gem_instdir}/Guardfile
%license %{gem_instdir}/License.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/lifen_fhir.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.7.1-1
- Initial package
